<?php
/*
  Copyright (c) 2003 osCommerce
  Portions Copyright 2013 Jack York at http://www.oscommerce-solution.com 
*/  
?>
<style>
.col-1 {width:70px; padding-left:10px;}
.col-2 {width:120px; padding-left:10px; }
.col-3 { padding-left:10px; }
</style>
<?php
    $countArray = [];
    $showType['chart'] = ((VIEW_COUNTER_REPORT_DISPLAY == 'Chart' || VIEW_COUNTER_REPORT_DISPLAY == 'Both') ? 'block' : 'none');
    $showType['table'] = ((VIEW_COUNTER_REPORT_DISPLAY == 'Table' || VIEW_COUNTER_REPORT_DISPLAY == 'Both') ? 'block' : 'none');
    
    $cond = ($cond ?? TEXT_SORT_BY_COUNTRY);
    $override_field = ''; //only needed when a field named ip isn't present
    GetSortingDefault($sortByArray, $sortBy, $cond, $sortDirection, TEXT_SORT_BY_COUNTRY, $override_field);
  
    $tabledata = '';
    $thisTitle = TEXT_REPORT_FLAG_CHART;
    $view_query = tep_db_query("select COUNT(count) as view_count, country, DATE(last_date) as date from `view_counter_blocked_history`group by date, country " . $sortBy);



    if (tep_db_num_rows($view_query) > 0) {
     
        while ($view = tep_db_fetch_array($view_query)) {
          
            $domainInfo = GetDomainLocation($view['ip']);
            $flag = (is_array($domainInfo) && file_exists('images/view_counter/flags/' . strtolower($domainInfo['Country Code']) . '.png') ? '<img src="images/view_counter/flags/' . strtolower($domainInfo['Country Code']) . '.png" alt="' . $domainInfo['Country Name'] . '" title="' . $domainInfo['Country Name'] . '">' : '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;');
            
            $ok = (is_array($domainInfo) && $domainInfo['Country Code'] != '-');
            $ctry = (! $ok || ($ok && empty($domainInfo['Country Code'])) ? 'unknown' : $domainInfo['Country Code']);
           // echo 'cnt '.$ctry .'<br>';
            if (isset($countArray[$ctry])) {                   
                $countArray[$ctry] += 1;
            } else {
                $countArray[$ctry] = 1;
            }                

            $tabledata .= '<tr>
                            <td class="col-1">' . $view['view_count'] .'</td>
                            <td class="col-2">' . $view['date']. '</td>
                            <td class="col-3">' . $view['country'] .'</td>
                          </tr>';                   
        }
        
        arsort($countArray);
        foreach ($countArray as $ctry => $cnt) {
            $countries[] = ['name' => $ctry, 'count' => $cnt];
        }  
    }   
    ?>
    <div id="dhtmltooltip"></div> <!-- for tooltip popup //--> 
    <script src="includes/javascript/view_counter/ddrivetip.js"></script> <!-- must follow the above //--> 
    <div id='dialog'></div>  <!-- for ajax popup //-->   
   
       <!-- BEGIN OF ViewCounter Flag Count-->    
       <tr class="smallText">
         <td width="100%" style="display:<?php echo $showType['chart']; ?>;" id="chartview">
	         <table border="2" cellpadding="0" width="100%" style="border-width: thin; border-style: outset;" class="smallText">
           <?php echo '<tr><td width="100%"><div id="chart_div"></div></td></tr>'; ?>   
          </table><td>
       </tr>
        
       <tr class="smallText">
         <td width="100%" style="display:<?php echo $showType['table']; ?>" id="tableview">
          <table border="2" cellpadding="0" width="100%" style="border-width: thin; border-style: outset;" class="smallText">
           <tr>
             <?php 
             echo tep_draw_form('country_history', 'view_counter_reports.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process_country_history'); 
             echo tep_draw_hidden_field('colsortSet', false) .
                  tep_draw_hidden_field('colsortType', '') .
                  tep_draw_hidden_field('show_report', $showReport) .
                  tep_draw_hidden_field('sortby', $sortBy) .
                  tep_draw_hidden_field('override_field', $override_field);                
             ?> 
             <th class="col-1" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_COUNT; ?>','country_history')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_COUNT] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_COUNTRY_HISTORY_CNT . $sortDirection[TEXT_SORT_BY_COUNT]; ?></th>
             <th class="col-2" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_DATE; ?>','country_history')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_DATE] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_COUNTRY_HISTORY_DATE . $sortDirection[TEXT_SORT_BY_DATE]; ?></th>
             <th class="col-3" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_COUNTRY; ?>','country_history')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_COUNTRY] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_COUNTRY_HISTORY_COUNTRY . $sortDirection[TEXT_SORT_BY_COUNTRY]; ?></th>
             </form> 
           </tr>
       
           <?php echo '<tr><td >' . $tabledata . '</td></tr>'; ?>
           
           </table></td>
       </tr>

 <!--Load the AJAX API-->
<?php require('includes/modules/view_counter_chartjs.php'); 

       