<?php
/*
  Copyright (c) 2003 osCommerce
  Portions Copyright 2013 Jack York at http://www.oscommerce-solution.com 
*/  
 $countArray = [];
 $showType['chart'] = ((VIEW_COUNTER_REPORT_DISPLAY == 'Chart' || VIEW_COUNTER_REPORT_DISPLAY == 'Both') ? 'block' : 'none');
 $showType['table'] = ((VIEW_COUNTER_REPORT_DISPLAY == 'Table' || VIEW_COUNTER_REPORT_DISPLAY == 'Both') ? 'block' : 'none');
 $tabledata = '';
 $thisTitle = TEXT_REPORT_PAGE_COUNT_CHART;     
 $isBot = (tep_not_null($showBots) ? '' : ' where isbot = 0 ' );
 $groupBy = (isset($showArg['yes']) && $showArg['yes'] == ' checked ' ? ' group by file_name, arg ' : ' group by file_name ');
 
 $cond = ($cond ?? TEXT_SORT_BY_COUNT);
 $override_field = 'ip_number'; //use variable so it can be added to hidden values later
 GetSortingDefault($sortByArray, $sortBy, $cond, $sortDirection, TEXT_SORT_BY_FILENAME, $override_field);

 $view_query_numrows = 0;
 $view_query_raw = "select count(file_name) as count, isbot, file_name, arg, inet_ntoa(ip_number) as ip from `" . $database_table . "` " . $isBot . $groupBy . $sortBy;       
 $view_query = tep_db_query($view_query_raw);
 
 /*** Begin Prepare Chart Data ***/
 while ($view_page = tep_db_fetch_array($view_query)) {
     $countArray[$view_page['file_name']] = (int)$view_page['count'] ;
 }
 arsort($countArray);
 foreach ($countArray as $ctry => $cnt) {
     $countries[] = ['name' => $ctry, 'count' => $cnt];
 }  
 /*** End Prepare Chart Data ***/
 
 $view_split = new splitPageResults($pageNumb, VIEW_COUNTER_MAX_ROWS, $view_query_raw, $view_query_numrows);   
 $view_query = tep_db_query($view_query_raw);

 $data = '';
 while ($view_page = tep_db_fetch_array($view_query)) {
     $tabledata .= '<tr  ' . ($view_page['isbot'] ? 'style="background-color:' . $colors[COLOR_IS_BOT] . '"' : '' ) . '>
     <td class="smallText" width="10">' . $view_page['count'] . '</td>
     <td class="smallText" width="6" align="center">' . $view_page['isbot']  . '</td>
     <td class="smallText" width="50">' . $view_page['file_name']  . '</td>' .
      ($showArg['yes'] == ' checked ' ? '<td class="smallText" width="100">' . (tep_not_null($view_page['arg']) ? $view_page['arg'] : '&nbsp;')  . '</td>' . 
                                        '<td class="smallText" width="100">' . $view_page['ip']  . '</td>' : '');
     $tabledata .= '</tr>';
 }
?>
  <tr class="smallText">
      <td width="100%" style="display:<?php echo $showType['chart']; ?>;" id="chartview">
       <table border="2" cellpadding="0" width="100%" style="border-width: thin; border-style: outset;" class="smallText">
        <?php echo '<tr><td width="100%"><div id="chart_div"></div></td></tr>'; ?>   
       </table><td>
   </tr>
   
   <tr>
     <td style="display:<?php echo $showType['table']; ?>" id="tableview">
       <table border="1" cellpadding="0" width="100%" class="BorderedBoxLight">
        
         <tr class="smallText">
           <td colspan="4"><table border="0" cellpadding="0" width="100%" style="border-width: thin; border-style: outset;">
             <?php echo tep_draw_form('view_counter_parts', 'view_counter_reports.php', '', 'post') . tep_draw_hidden_field('action', 'process'); ?> 
             <tr>
               <td><table border="0" cellpadding="0" width="60%">
                 <td class="main" width="190"><?php echo TEXT_REPORT_SHOW_ARG; ?></td>
                 <td class="main" width="60"><INPUT TYPE="radio" NAME="show_arg" VALUE="<?php echo TEXT_REPORT_SHOW_ARG_NO; ?>" <?php echo ($showArg['no'] ?? ''); ?> onChange="this.form.submit();"> <?php echo TEXT_REPORT_SHOW_ARG_NO; ?>&nbsp;</td>
                 <td class="main" width="60"><INPUT TYPE="radio" NAME="show_arg" VALUE="<?php echo TEXT_REPORT_SHOW_ARG_YES; ?>" <?php echo ($showArg['yes'] ?? ''); ?> onChange="this.form.submit();"> <?php echo TEXT_REPORT_SHOW_ARG_YES; ?>&nbsp;</td>
                 
                 <td>
                   <div class="main" style="float:left;">
                     <div style="float:left; padding-left:20px;"><?php echo TEXT_REPORT_SHOW_BOTS; ?>&nbsp;</div>
                     <div style="float:left; padding-left:4px; vertical-align: middle; margin-top:2px; "><INPUT TYPE="checkbox" NAME="show_bots" <?php echo $showBots; ?> onChange="this.form.submit();"></div>
                   </div>  
                 </td>
                 
                 <?php echo tep_draw_hidden_field('show_report', $showReport) .
                            tep_draw_hidden_field('showArg', urlencode(serialize($showArg))) .
                            tep_draw_hidden_field('sortbyarray', urlencode(serialize($sortByArray))) .
                            tep_draw_hidden_field('sortby', $sortBy);
                 ?>
               </table></td>
             </tr>  
             </form>
           </table></td>
         </tr>          
  
         <tr>
           <?php            
           echo tep_draw_form('page_counts', 'view_counter_reports.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process_page_count'); 
           echo tep_draw_hidden_field('colsortSet', false) .
                tep_draw_hidden_field('colsortType', '') .
                tep_draw_hidden_field('show_report', $showReport) .
                tep_draw_hidden_field('sortby', $sortBy) .
                tep_draw_hidden_field('override_field', $override_field);                
           ?> 
           <th width="10" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_COUNT; ?>','page_counts')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_COUNT] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_PAGE_COUNT_CNT . $sortDirection[TEXT_SORT_BY_COUNT]; ?></th>
           <th width="6" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_ISBOT; ?>','page_counts')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_ISBOT] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_PAGE_COUNT_ISBOT . $sortDirection[TEXT_SORT_BY_ISBOT]; ?></th>
           <th width="55" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_FILENAME; ?>','page_counts')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_FILENAME] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_PAGE_COUNT_FILENAME . $sortDirection[TEXT_SORT_BY_FILENAME]; ?></th>
           <?php if (isset($showArg['yes']) && $showArg['yes'] == ' checked ') { ?>
           <th width="55" align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_ARG; ?>','page_counts')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_ARG] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_PAGE_COUNT_ARGS . $sortDirection[TEXT_SORT_BY_ARG]; ?></th>
           <th            align="center" onClick="SortColumn('<?php echo TEXT_SORT_BY_IP; ?>','page_counts')" style="background-color:<?php echo ($sortByArray[TEXT_SORT_BY_IP] == 'checked' ? $colors[COLOR_SELECTED_COLUMN] : ''); ?>"><?php echo TEXT_REPORT_PAGE_COUNT_IP . $sortDirection[TEXT_SORT_BY_IP]; ?></th>
           <?php } ?>
          </form> 
         </tr>
         <?php echo '<tr><td>' . $tabledata . '</td></tr>'; ?>

         <?php $thisArg = ($showArg['no'] ?? $showArg['yes']); ?>
         
         <tr>       
           <td colspan="4" width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="2">
             <tr>
               <td class="smallText" valign="top"><?php echo $view_split->display_count($view_query_numrows, VIEW_COUNTER_MAX_ROWS, $pageNumb, TEXT_DISPLAY_NUMBER_OF_LINKS); ?></td>
               <td class="smallText" align="right">
               <?php 
                   $sortBA = urlencode(serialize($sortByArray));
                   echo $view_split->display_links($view_query_numrows, VIEW_COUNTER_MAX_ROWS, VIEW_COUNTER_MAX_ROWS, $pageNumb, 'show_report=' . TEXT_REPORT_PAGE_COUNT . '&action=choose_report&report_types=' . TEXT_REPORT_PAGE_COUNT . '&showArg='.$thisArg.'&sortby='.$sortBy.'&sortbyarray='.$sortBA); 
               ?></td>
             </tr>
           </table></td>  
         </tr>         
       </table>
     </td>
   </tr>  

 <!--Load the AJAX API-->
<?php require('includes/modules/view_counter_chartjs.php'); 
